
_CopyConst2Ram:

;Touch_Panel_Calibration.mbas,80 :: 		dim i as byte
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
;Touch_Panel_Calibration.mbas,81 :: 		i = 0
	CLRF        R4 
;Touch_Panel_Calibration.mbas,82 :: 		while src^ <> 0
L__CopyConst2Ram2:
	MOVF        FARG_CopyConst2Ram_src+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_CopyConst2Ram_src+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_CopyConst2Ram_src+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        R1, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__CopyConst2Ram3
;Touch_Panel_Calibration.mbas,84 :: 		result[i] = src^
	MOVF        R2, 0 
	MOVWF       R0 
	MOVF        R3, 0 
	MOVWF       R1 
	MOVF        R4, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_CopyConst2Ram_src+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_CopyConst2Ram_src+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_CopyConst2Ram_src+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Touch_Panel_Calibration.mbas,85 :: 		inc(src)
	MOVLW       1
	ADDWF       FARG_CopyConst2Ram_src+0, 1 
	MOVLW       0
	ADDWFC      FARG_CopyConst2Ram_src+1, 1 
	ADDWFC      FARG_CopyConst2Ram_src+2, 1 
;Touch_Panel_Calibration.mbas,86 :: 		inc(i)
	INCF        R4, 1 
;Touch_Panel_Calibration.mbas,87 :: 		wend
	GOTO        L__CopyConst2Ram2
L__CopyConst2Ram3:
;Touch_Panel_Calibration.mbas,88 :: 		result[i] = 0
	MOVF        R2, 0 
	MOVWF       R0 
	MOVF        R3, 0 
	MOVWF       R1 
	MOVF        R4, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,89 :: 		end sub
L_end_CopyConst2Ram:
	RETURN      0
; end of _CopyConst2Ram

_Initialize:

;Touch_Panel_Calibration.mbas,91 :: 		sub procedure Initialize()
;Touch_Panel_Calibration.mbas,92 :: 		ANSELA = 3             ' Configure AN0 and AN1 pins as analog
	MOVLW       3
	MOVWF       ANSELA+0 
;Touch_Panel_Calibration.mbas,93 :: 		ANSELB = 0             ' Configure PORTB pins as digital
	CLRF        ANSELB+0 
;Touch_Panel_Calibration.mbas,94 :: 		ANSELC = 0             ' Configure PORTC pins as digital
	CLRF        ANSELC+0 
;Touch_Panel_Calibration.mbas,95 :: 		ANSELD = 0             ' Configure PORTD pins as digital
	CLRF        ANSELD+0 
;Touch_Panel_Calibration.mbas,96 :: 		TRISA  = 3             ' Configure AN0 and AN1 pins as input
	MOVLW       3
	MOVWF       TRISA+0 
;Touch_Panel_Calibration.mbas,98 :: 		Glcd_Init()                 ' Initialize GLCD
	CALL        _Glcd_Init+0, 0
;Touch_Panel_Calibration.mbas,99 :: 		Glcd_Fill(0)                ' Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,100 :: 		ADC_Init()                  ' Initialize ADC
	CALL        _ADC_Init+0, 0
;Touch_Panel_Calibration.mbas,101 :: 		TP_Init(128, 64, 0, 1)      ' Initialize touch panel
	MOVLW       128
	MOVWF       FARG_TP_Init_display_width+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_width+1 
	MOVLW       64
	MOVWF       FARG_TP_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_height+1 
	CLRF        FARG_TP_Init_readX_ChNo+0 
	MOVLW       1
	MOVWF       FARG_TP_Init_readY_ChNo+0 
	CALL        _TP_Init+0, 0
;Touch_Panel_Calibration.mbas,102 :: 		TP_Set_ADC_Threshold(900)   ' Set touch panel ADC threshold
	MOVLW       132
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+0 
	MOVLW       3
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+1 
	CALL        _TP_Set_ADC_Threshold+0, 0
;Touch_Panel_Calibration.mbas,103 :: 		end sub
L_end_Initialize:
	RETURN      0
; end of _Initialize

_Calibrate:

;Touch_Panel_Calibration.mbas,105 :: 		sub procedure Calibrate()
;Touch_Panel_Calibration.mbas,106 :: 		Glcd_Dot(0,63,1)                                       ' Draw bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration.mbas,107 :: 		Glcd_Write_Text("TOUCH BOTTOM LEFT",12,3,1)
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       67
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       66
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       77
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       76
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       69
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       70
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,108 :: 		TP_Calibrate_Bottom_Left()                             ' Calibration of bottom left corner
	CALL        _TP_Calibrate_Bottom_Left+0, 0
;Touch_Panel_Calibration.mbas,109 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__Calibrate8:
	DECFSZ      R13, 1, 1
	BRA         L__Calibrate8
	DECFSZ      R12, 1, 1
	BRA         L__Calibrate8
	DECFSZ      R11, 1, 1
	BRA         L__Calibrate8
	NOP
;Touch_Panel_Calibration.mbas,110 :: 		Glcd_Dot(0,63,0)                                       ' Clear bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	CLRF        FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration.mbas,111 :: 		Glcd_Dot(127,0,1)                                      ' Draw upper right dot
	MOVLW       127
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	CLRF        FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration.mbas,112 :: 		Glcd_Write_Text("                 ",12,3,1)
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,113 :: 		Glcd_Write_Text("TOUCH UPPER RIGHT",12,4,1)
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       67
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       80
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       80
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       69
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       82
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       82
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       73
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       71
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,114 :: 		TP_Calibrate_Upper_Right()                             ' Calibration of upper right corner
	CALL        _TP_Calibrate_Upper_Right+0, 0
;Touch_Panel_Calibration.mbas,115 :: 		Glcd_Write_Text("                 ",12,3,1)
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,116 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__Calibrate9:
	DECFSZ      R13, 1, 1
	BRA         L__Calibrate9
	DECFSZ      R12, 1, 1
	BRA         L__Calibrate9
	DECFSZ      R11, 1, 1
	BRA         L__Calibrate9
	NOP
;Touch_Panel_Calibration.mbas,117 :: 		end sub
L_end_Calibrate:
	RETURN      0
; end of _Calibrate

_main:

;Touch_Panel_Calibration.mbas,119 :: 		main:
;Touch_Panel_Calibration.mbas,120 :: 		Initialize()
	CALL        _Initialize+0, 0
;Touch_Panel_Calibration.mbas,122 :: 		x_min_msg = "X min:"
	MOVLW       88
	MOVWF       _x_min_msg+0 
	MOVLW       32
	MOVWF       _x_min_msg+1 
	MOVLW       109
	MOVWF       _x_min_msg+2 
	MOVLW       105
	MOVWF       _x_min_msg+3 
	MOVLW       110
	MOVWF       _x_min_msg+4 
	MOVLW       58
	MOVWF       _x_min_msg+5 
	CLRF        _x_min_msg+6 
;Touch_Panel_Calibration.mbas,123 :: 		y_min_msg = "Y min:"
	MOVLW       89
	MOVWF       _y_min_msg+0 
	MOVLW       32
	MOVWF       _y_min_msg+1 
	MOVLW       109
	MOVWF       _y_min_msg+2 
	MOVLW       105
	MOVWF       _y_min_msg+3 
	MOVLW       110
	MOVWF       _y_min_msg+4 
	MOVLW       58
	MOVWF       _y_min_msg+5 
	CLRF        _y_min_msg+6 
;Touch_Panel_Calibration.mbas,124 :: 		x_max_msg = "X max:"
	MOVLW       88
	MOVWF       _x_max_msg+0 
	MOVLW       32
	MOVWF       _x_max_msg+1 
	MOVLW       109
	MOVWF       _x_max_msg+2 
	MOVLW       97
	MOVWF       _x_max_msg+3 
	MOVLW       120
	MOVWF       _x_max_msg+4 
	MOVLW       58
	MOVWF       _x_max_msg+5 
	CLRF        _x_max_msg+6 
;Touch_Panel_Calibration.mbas,125 :: 		y_max_msg = "Y max:"
	MOVLW       89
	MOVWF       _y_max_msg+0 
	MOVLW       32
	MOVWF       _y_max_msg+1 
	MOVLW       109
	MOVWF       _y_max_msg+2 
	MOVLW       97
	MOVWF       _y_max_msg+3 
	MOVLW       120
	MOVWF       _y_max_msg+4 
	MOVLW       58
	MOVWF       _y_max_msg+5 
	CLRF        _y_max_msg+6 
;Touch_Panel_Calibration.mbas,127 :: 		Main01:
L__main_main01:
;Touch_Panel_Calibration.mbas,128 :: 		Glcd_Fill(0)
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,129 :: 		Hi (X_Min) = EEPROM_Read($00)
	CLRF        FARG_Eeprom_Read_address+0 
	CLRF        FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+1 
;Touch_Panel_Calibration.mbas,130 :: 		Lo (X_Min) = EEPROM_Read($01)
	MOVLW       1
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+0 
;Touch_Panel_Calibration.mbas,131 :: 		Hi (X_Max) = EEPROM_Read($02)
	MOVLW       2
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+1 
;Touch_Panel_Calibration.mbas,132 :: 		Lo (X_Max) = EEPROM_Read($03)
	MOVLW       3
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+0 
;Touch_Panel_Calibration.mbas,135 :: 		Hi (Y_Min) = EEPROM_Read($04)
	MOVLW       4
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+1 
;Touch_Panel_Calibration.mbas,136 :: 		Lo (Y_Min) = EEPROM_Read($05)
	MOVLW       5
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+0 
;Touch_Panel_Calibration.mbas,137 :: 		Hi (Y_Max) = EEPROM_Read($06)
	MOVLW       6
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+1 
;Touch_Panel_Calibration.mbas,138 :: 		Lo (Y_Max) = EEPROM_Read($07)                                              ' Clear GLCD
	MOVLW       7
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+0 
;Touch_Panel_Calibration.mbas,139 :: 		if  EEPROM_Read ($08) <> (Hi (X_Min) xor Lo (X_Min) xor Hi (X_Max) xor Lo (X_Max) xor Hi (Y_Min) xor Lo (Y_Min) xor Hi (Y_Min) xor Lo (Y_Min))
	MOVLW       8
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        _x_min+0, 0 
	XORWF       _x_min+1, 0 
	MOVWF       R1 
	MOVF        _x_max+1, 0 
	XORWF       R1, 1 
	MOVF        _x_max+0, 0 
	XORWF       R1, 1 
	MOVF        _y_min+1, 0 
	XORWF       R1, 1 
	MOVF        _y_min+0, 0 
	XORWF       R1, 1 
	MOVF        _y_min+1, 0 
	XORWF       R1, 1 
	MOVF        _y_min+0, 0 
	XORWF       R1, 0 
	MOVWF       R2 
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__main13
;Touch_Panel_Calibration.mbas,141 :: 		msg = CopyConst2Ram(@msg4)
	MOVLW       _msg4+0
	MOVWF       FARG_CopyConst2Ram_src+0 
	MOVLW       hi_addr(_msg4+0)
	MOVWF       FARG_CopyConst2Ram_src+1 
	MOVLW       higher_addr(_msg4+0)
	MOVWF       FARG_CopyConst2Ram_src+2 
	MOVLW       FLOC__main+0
	MOVWF       R0 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       R1 
	CALL        _CopyConst2Ram+0, 0
	MOVLW       _msg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FSR1H 
	MOVLW       FLOC__main+0
	MOVWF       FSR2 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       FSR2H 
	CALL        ___CS2S+0, 0
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,142 :: 		Glcd_Write_Text(msg,32,3,1)
	MOVLW       _msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,143 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main15:
	DECFSZ      R13, 1, 1
	BRA         L__main15
	DECFSZ      R12, 1, 1
	BRA         L__main15
	DECFSZ      R11, 1, 1
	BRA         L__main15
	NOP
;Touch_Panel_Calibration.mbas,144 :: 		Calibrate()
	CALL        _Calibrate+0, 0
;Touch_Panel_Calibration.mbas,146 :: 		TP_Get_Calibration_Consts(@x_min, @x_max, @y_min, @y_max) ' Get calibration constants
	MOVLW       _x_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+0 
	MOVLW       hi_addr(_x_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+1 
	MOVLW       _x_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+0 
	MOVLW       hi_addr(_x_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+1 
	MOVLW       _y_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+0 
	MOVLW       hi_addr(_y_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+1 
	MOVLW       _y_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+0 
	MOVLW       hi_addr(_y_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+1 
	CALL        _TP_Get_Calibration_Consts+0, 0
;Touch_Panel_Calibration.mbas,147 :: 		Chk_Sum = (Hi (X_Min) xor Lo (X_Min) xor Hi (X_Max) xor Lo (X_Max) xor Hi (Y_Min) xor Lo (Y_Min) xor Hi (Y_Min) xor Lo (Y_Min))
	MOVF        _x_min+0, 0 
	XORWF       _x_min+1, 0 
	MOVWF       _Chk_Sum+0 
	MOVF        _x_max+1, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _x_max+0, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+1, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+0, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+1, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+0, 0 
	XORWF       _Chk_Sum+0, 1 
;Touch_Panel_Calibration.mbas,148 :: 		EEPROM_Write($00, Hi (X_Min))
	CLRF        FARG_Eeprom_Write_address+0 
	CLRF        FARG_Eeprom_Write_address+1 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,149 :: 		EEPROM_Write($01, Lo (X_Min))
	MOVLW       1
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,150 :: 		EEPROM_Write($02, Hi (X_Max))
	MOVLW       2
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,151 :: 		EEPROM_Write($03, Lo (X_Max))
	MOVLW       3
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,153 :: 		EEPROM_Write($04, Hi (Y_Min))
	MOVLW       4
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,154 :: 		EEPROM_Write($05, Lo (Y_Min))
	MOVLW       5
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,155 :: 		EEPROM_Write($06, Hi (Y_Max))
	MOVLW       6
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,156 :: 		EEPROM_Write($07, Lo (Y_Max))
	MOVLW       7
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,157 :: 		EEProm_Write($08,Chk_Sum )
	MOVLW       8
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
	GOTO        L__main14
;Touch_Panel_Calibration.mbas,158 :: 		else
L__main13:
;Touch_Panel_Calibration.mbas,159 :: 		Chk_Sum = EEPROM_Read ($08)
	MOVLW       8
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Chk_Sum+0 
;Touch_Panel_Calibration.mbas,160 :: 		TP_Set_Calibration_Consts( x_min, x_max, y_min, y_max)
	MOVF        _x_min+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_min+0 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_min+1 
	MOVF        _x_max+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_max+0 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_max+1 
	MOVF        _y_min+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_min+0 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_min+1 
	MOVF        _y_max+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_max+0 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_max+1 
	CALL        _TP_Set_Calibration_Consts+0, 0
;Touch_Panel_Calibration.mbas,161 :: 		end if
L__main14:
;Touch_Panel_Calibration.mbas,163 :: 		WordToStrWithZeros( x_min, x_min_val)                               ' Convert calibration constants into string values
	MOVF        _x_min+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _x_min_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_x_min_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,164 :: 		WordToStrWithZeros( x_max, x_max_val)
	MOVF        _x_max+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _x_max_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_x_max_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,165 :: 		WordToStrWithZeros( y_min, y_min_val)
	MOVF        _y_min+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _y_min_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_y_min_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,166 :: 		WordToStrWithZeros( y_max, y_max_val)
	MOVF        _y_max+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _y_max_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_y_max_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,170 :: 		Glcd_Fill(0)                                            ' Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,171 :: 		msg = CopyConst2Ram(@msg5)
	MOVLW       _msg5+0
	MOVWF       FARG_CopyConst2Ram_src+0 
	MOVLW       hi_addr(_msg5+0)
	MOVWF       FARG_CopyConst2Ram_src+1 
	MOVLW       higher_addr(_msg5+0)
	MOVWF       FARG_CopyConst2Ram_src+2 
	MOVLW       FLOC__main+0
	MOVWF       R0 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       R1 
	CALL        _CopyConst2Ram+0, 0
	MOVLW       _msg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FSR1H 
	MOVLW       FLOC__main+0
	MOVWF       FSR2 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       FSR2H 
	CALL        ___CS2S+0, 0
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,172 :: 		Glcd_Write_Text(msg,1,1,1)
	MOVLW       _msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,173 :: 		Glcd_Write_Text(x_min_msg,1,3,1)                        ' Write messages on GLCD
	MOVLW       _x_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,174 :: 		Glcd_Write_Text(x_max_msg,1,4,1)
	MOVLW       _x_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,175 :: 		Glcd_Write_Text(y_min_msg,1,5,1)
	MOVLW       _y_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,176 :: 		Glcd_Write_Text(y_max_msg,1,6,1)
	MOVLW       _y_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,178 :: 		Glcd_Write_Text(x_min_val,50,3,1)                       ' Write calibration constants values on GLCD
	MOVLW       _x_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,179 :: 		Glcd_Write_Text(x_max_val,50,4,1)
	MOVLW       _x_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,180 :: 		Glcd_Write_Text(y_min_val,50,5,1)
	MOVLW       _y_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,181 :: 		Glcd_Write_Text(y_max_val,50,6,1)
	MOVLW       _y_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,183 :: 		Chk_Sum = (Hi (X_Min) xor Lo (X_Min) xor Hi (X_Max) xor Lo (X_Max) xor Hi (Y_Min) xor Lo (Y_Min) xor Hi (Y_Min) xor Lo (Y_Min))
	MOVF        _x_min+0, 0 
	XORWF       _x_min+1, 0 
	MOVWF       _Chk_Sum+0 
	MOVF        _x_max+1, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _x_max+0, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+1, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+0, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+1, 0 
	XORWF       _Chk_Sum+0, 1 
	MOVF        _y_min+0, 0 
	XORWF       _Chk_Sum+0, 1 
;Touch_Panel_Calibration.mbas,184 :: 		Glcd_Write_text ("Chk_Sum:                ",1,7,1)
	MOVLW       67
	MOVWF       ?LocalText_main+0 
	MOVLW       104
	MOVWF       ?LocalText_main+1 
	MOVLW       107
	MOVWF       ?LocalText_main+2 
	MOVLW       95
	MOVWF       ?LocalText_main+3 
	MOVLW       83
	MOVWF       ?LocalText_main+4 
	MOVLW       117
	MOVWF       ?LocalText_main+5 
	MOVLW       109
	MOVWF       ?LocalText_main+6 
	MOVLW       58
	MOVWF       ?LocalText_main+7 
	MOVLW       32
	MOVWF       ?LocalText_main+8 
	MOVLW       32
	MOVWF       ?LocalText_main+9 
	MOVLW       32
	MOVWF       ?LocalText_main+10 
	MOVLW       32
	MOVWF       ?LocalText_main+11 
	MOVLW       32
	MOVWF       ?LocalText_main+12 
	MOVLW       32
	MOVWF       ?LocalText_main+13 
	MOVLW       32
	MOVWF       ?LocalText_main+14 
	MOVLW       32
	MOVWF       ?LocalText_main+15 
	MOVLW       32
	MOVWF       ?LocalText_main+16 
	MOVLW       32
	MOVWF       ?LocalText_main+17 
	MOVLW       32
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	MOVLW       32
	MOVWF       ?LocalText_main+20 
	MOVLW       32
	MOVWF       ?LocalText_main+21 
	MOVLW       32
	MOVWF       ?LocalText_main+22 
	MOVLW       32
	MOVWF       ?LocalText_main+23 
	CLRF        ?LocalText_main+24 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,185 :: 		ByteToStr (Chk_Sum, CKS_Text)
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _CKS_Text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Touch_Panel_Calibration.mbas,186 :: 		GLCD_Write_Text (CKS_Text, 62, 7 ,1)
	MOVLW       _CKS_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       62
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,189 :: 		EEPROM_Write($00, Hi (X_Min))
	CLRF        FARG_Eeprom_Write_address+0 
	CLRF        FARG_Eeprom_Write_address+1 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,190 :: 		EEPROM_Write($01, Lo (X_Min))
	MOVLW       1
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,191 :: 		EEPROM_Write($02, Hi (X_Max))
	MOVLW       2
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,192 :: 		EEPROM_Write($03, Lo (X_Max))
	MOVLW       3
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,194 :: 		EEPROM_Write($04, Hi (Y_Min))
	MOVLW       4
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,195 :: 		EEPROM_Write($05, Lo (Y_Min))
	MOVLW       5
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,196 :: 		EEPROM_Write($06, Hi (Y_Max))
	MOVLW       6
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,197 :: 		EEPROM_Write($07, Lo (Y_Max))
	MOVLW       7
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,198 :: 		EEProm_Write($08,Chk_Sum )
	MOVLW       8
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,200 :: 		Hi (X_Min) = EEPROM_Read($00)
	CLRF        FARG_Eeprom_Read_address+0 
	CLRF        FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+1 
;Touch_Panel_Calibration.mbas,201 :: 		Lo (X_Min) = EEPROM_Read($01)
	MOVLW       1
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+0 
;Touch_Panel_Calibration.mbas,202 :: 		Hi (X_Max) = EEPROM_Read($02)
	MOVLW       2
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+1 
;Touch_Panel_Calibration.mbas,203 :: 		Lo (X_Max) = EEPROM_Read($03)
	MOVLW       3
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+0 
;Touch_Panel_Calibration.mbas,206 :: 		Hi (Y_Min) = EEPROM_Read($04)
	MOVLW       4
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+1 
;Touch_Panel_Calibration.mbas,207 :: 		Lo (Y_Min) = EEPROM_Read($05)
	MOVLW       5
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+0 
;Touch_Panel_Calibration.mbas,208 :: 		Hi (Y_Max) = EEPROM_Read($06)
	MOVLW       6
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+1 
;Touch_Panel_Calibration.mbas,209 :: 		Lo (Y_Max) = EEPROM_Read($07)
	MOVLW       7
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+0 
;Touch_Panel_Calibration.mbas,210 :: 		Chk_Sum = EEPROM_Read ($08)
	MOVLW       8
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Chk_Sum+0 
;Touch_Panel_Calibration.mbas,211 :: 		delay_Ms (2000)
	MOVLW       163
	MOVWF       R11, 0
	MOVLW       87
	MOVWF       R12, 0
	MOVLW       2
	MOVWF       R13, 0
L__main16:
	DECFSZ      R13, 1, 1
	BRA         L__main16
	DECFSZ      R12, 1, 1
	BRA         L__main16
	DECFSZ      R11, 1, 1
	BRA         L__main16
	NOP
;Touch_Panel_Calibration.mbas,214 :: 		Glcd_Fill(0)                                            ' Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,215 :: 		msg = CopyConst2Ram(@msg6)
	MOVLW       _msg6+0
	MOVWF       FARG_CopyConst2Ram_src+0 
	MOVLW       hi_addr(_msg6+0)
	MOVWF       FARG_CopyConst2Ram_src+1 
	MOVLW       higher_addr(_msg6+0)
	MOVWF       FARG_CopyConst2Ram_src+2 
	MOVLW       FLOC__main+0
	MOVWF       R0 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       R1 
	CALL        _CopyConst2Ram+0, 0
	MOVLW       _msg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FSR1H 
	MOVLW       FLOC__main+0
	MOVWF       FSR2 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       FSR2H 
	CALL        ___CS2S+0, 0
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,216 :: 		Glcd_Write_Text(msg,1,1,1)
	MOVLW       _msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,217 :: 		Glcd_Write_Text(x_min_msg,1,3,1)                        ' Write messages on GLCD
	MOVLW       _x_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,218 :: 		Glcd_Write_Text(x_max_msg,1,4,1)
	MOVLW       _x_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,219 :: 		Glcd_Write_Text(y_min_msg,1,5,1)
	MOVLW       _y_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,220 :: 		Glcd_Write_Text(y_max_msg,1,6,1)
	MOVLW       _y_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,222 :: 		Glcd_Write_Text(x_min_val,50,3,1)                       ' Write calibration constants values on GLCD
	MOVLW       _x_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,223 :: 		Glcd_Write_Text(x_max_val,50,4,1)
	MOVLW       _x_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,224 :: 		Glcd_Write_Text(y_min_val,50,5,1)
	MOVLW       _y_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,225 :: 		Glcd_Write_Text(y_max_val,50,6,1)
	MOVLW       _y_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,226 :: 		Glcd_Write_text ("Chk_Sum:                ",1,7,1)
	MOVLW       67
	MOVWF       ?LocalText_main+0 
	MOVLW       104
	MOVWF       ?LocalText_main+1 
	MOVLW       107
	MOVWF       ?LocalText_main+2 
	MOVLW       95
	MOVWF       ?LocalText_main+3 
	MOVLW       83
	MOVWF       ?LocalText_main+4 
	MOVLW       117
	MOVWF       ?LocalText_main+5 
	MOVLW       109
	MOVWF       ?LocalText_main+6 
	MOVLW       58
	MOVWF       ?LocalText_main+7 
	MOVLW       32
	MOVWF       ?LocalText_main+8 
	MOVLW       32
	MOVWF       ?LocalText_main+9 
	MOVLW       32
	MOVWF       ?LocalText_main+10 
	MOVLW       32
	MOVWF       ?LocalText_main+11 
	MOVLW       32
	MOVWF       ?LocalText_main+12 
	MOVLW       32
	MOVWF       ?LocalText_main+13 
	MOVLW       32
	MOVWF       ?LocalText_main+14 
	MOVLW       32
	MOVWF       ?LocalText_main+15 
	MOVLW       32
	MOVWF       ?LocalText_main+16 
	MOVLW       32
	MOVWF       ?LocalText_main+17 
	MOVLW       32
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	MOVLW       32
	MOVWF       ?LocalText_main+20 
	MOVLW       32
	MOVWF       ?LocalText_main+21 
	MOVLW       32
	MOVWF       ?LocalText_main+22 
	MOVLW       32
	MOVWF       ?LocalText_main+23 
	CLRF        ?LocalText_main+24 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,227 :: 		ByteToStr (Chk_Sum, CKS_Text)
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _CKS_Text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Touch_Panel_Calibration.mbas,228 :: 		GLCD_Write_Text (CKS_Text, 62, 7 ,1)
	MOVLW       _CKS_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       62
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,229 :: 		delay_Ms (2000)
	MOVLW       163
	MOVWF       R11, 0
	MOVLW       87
	MOVWF       R12, 0
	MOVLW       2
	MOVWF       R13, 0
L__main17:
	DECFSZ      R13, 1, 1
	BRA         L__main17
	DECFSZ      R12, 1, 1
	BRA         L__main17
	DECFSZ      R11, 1, 1
	BRA         L__main17
	NOP
;Touch_Panel_Calibration.mbas,230 :: 		goto Main01
	GOTO        L__main_main01
L_end_main:
	GOTO        $+0
; end of _main
